package com.ruoyi.system.service;

import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.system.domain.propertyRepair.PropertyRepair;

import java.util.List;


/**
 * 物业报修Service接口
 * 
 * @author boman
 * @date 2025-02-14
 */
public interface IPropertyRepairService 
{
    /**
     * 查询物业报修
     * 
     * @param repairId 物业报修主键
     * @return 物业报修
     */
    public PropertyRepair selectPropertyRepairByRepairId(Long repairId);

    /**
     * 查询物业报修列表
     * 
     * @param propertyRepair 物业报修
     * @return 物业报修集合
     */
    public List<PropertyRepair> selectPropertyRepairList(PropertyRepair propertyRepair);

    /**
     * 新增物业报修
     * 
     * @param propertyRepair 物业报修
     * @return 结果
     */
    public int insertPropertyRepair(PropertyRepair propertyRepair);

    /**
     * 修改物业报修
     * 
     * @param propertyRepair 物业报修
     * @return 结果
     */
    public int updatePropertyRepair(PropertyRepair propertyRepair);

    /**
     * 指派物业报修人员
     */
    public AjaxResult assign(PropertyRepair propertyRepair);

    /**
     * 批量删除物业报修
     * 
     * @param repairIds 需要删除的物业报修主键集合
     * @return 结果
     */
    public int deletePropertyRepairByRepairIds(Long[] repairIds);

    /**
     * 删除物业报修信息
     * 
     * @param repairId 物业报修主键
     * @return 结果
     */
    public int deletePropertyRepairByRepairId(Long repairId);

    AjaxResult statisticsQx();
}
